﻿namespace MyWindowsForm

open System
open System.Windows.Forms
open InitControls
open FormModule
open System.Drawing


//====================================================
// Подробное описание программного кода исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================


// --- Модуль рабочего кода формы ---

module Code = 
    
    let myCodeForm = myForm
    myCodeForm.Text <- "Выполнение модуля CodeFormModule"

    button1.Text <- "Первая кнопка"
    button2.Text <- "Вторая кнопка"
    button3.Text <- "Третья кнопка"
    button4.Text <- "Четвертая кнопка"

    let isStandart (btn: Button) : bool = btn.Size = standardButton
    
    // Обработчик события нажатия для всех кнопок
    let buttons_Click (sender:System.Object) (e:System.EventArgs) : unit = 
        let button: Button = sender :?> Button

        if button = button1 then Console.Beep(300, 300)
        if button = button2 then Console.Beep(500, 300)
        if button = button3 then Console.Beep(1000, 300)
        if button = button4 then Console.Beep(3000, 300)

        if isStandart button then
            button.Size <- plumpButton
        else
            button.Size <- standardButton

    // Подключение обработчиков событий 
    button1.Click.AddHandler( new System.EventHandler(buttons_Click) )
    button2.Click.AddHandler( new System.EventHandler(buttons_Click) )
    button3.Click.AddHandler( new System.EventHandler(buttons_Click) )
    button4.Click.AddHandler( new System.EventHandler(buttons_Click) )
    